﻿# -*- coding:Utf-8 -*- 

# ===================================================
# Ne pas éditer ce fichier à moin de savoir ce que vous faites.
# ===================================================

import es, langlib, playerlib, usermsg

translations = langlib.Strings(es.getAddonPath("resetmyscore") + "/translations.ini")

players_command = es.ServerVar("rms_cfg_players_cmd", "!resetmyscore")
admins_command = es.ServerVar("rms_cfg_admins_cmd", "!resetscore")
admins_list = es.ServerVar("rms_cfg_admins_list", "STEAMID_LAN,STEAM_0:0:9755387")
advert_enable = es.ServerVar("rms_cfg_enable_advert", "1")

info = es.AddonInfo()
info.name = "Reset My Score"
info.version = "1.1 By L'In20Cible"
info.author = "L'In20Cible"
info.url = "http://addons.eventscripts.com/addons/user/27382"
info.basename = "resetmyscore"
es.ServerVar('ResetMyScore_Version', info.version).makepublic()

def load():
	es.server.cmd("es_xmexec ../addons/eventscripts/resetmyscore/config.cfg")
	es.regclientcmd(admins_command, "resetmyscore/command")
	msg(playerlib.getUseridList('#human'), "Betöltve")
	
def es_map_start():
	es.server.cmd("es_xmexec ../addons/eventscripts/resetmyscore/config.cfg")
	
def round_freeze_end(event_var):
	if int(advert_enable):
		tokens ={"command" : players_command}
		msg(playerlib.getUseridList("#human"), "Advert", tokens)
	
def player_say(event_var):
	if event_var["text"] == players_command:
		if int(event_var["es_userdeaths"]) or int(event_var["es_userkills"]):
			score(event_var["userid"])
			tokens ={"username" : event_var["es_username"]}
			colormsg(playerlib.getUseridList("#human"), event_var["es_userindex"], "Reset", tokens)
		else:
			tell(event_var["userid"], "Cant Reset")
			
def command():
	userid = es.getcmduserid()
	if es.getplayersteamid(userid) in str(admins_list):
		if es.getargc() == 2:
			target = es.getargv(1)
			player = playerlib.getPlayer(userid)
			if target in playerlib.filters.keys():
				if int(len(playerlib.getUseridList(target))):
					reset(playerlib.getUseridList(target))
					tokens = {"admin" : player.attributes["name"]}
					colormsg(playerlib.getUseridList("#human"), player.attributes["index"], "Reset %s" % target, tokens)
				else:
					tokens = {"target" : target}
					tell(userid, "Cant Find", tokens)
			else:
				targetid = es.getuserid(target)
				if not targetid == userid:
					if int(targetid):
						score(targetid)
						tokens = {"admin" : player.attributes["name"], "target" : es.getplayername(targetid)}
						colormsg(playerlib.getUseridList("#human"), player.attributes["index"], "Reset Player", tokens)
					else:
						tokens = {"target" : target}
						tell(userid, "Cant Find", tokens)
				else:
					score(userid)
					tokens = {"admin" : player.attributes["name"]}
					colormsg(playerlib.getUseridList("#human"), player.attributes["index"], "Reset Own", tokens)
		else:
			tokens = {"command" : admins_command}
			tell(userid, "Syntax", tokens)
	else:
		tokens = {"command" : admins_command}
		tell(userid, "Cant Use", tokens)
			
def reset(target):
	for targetid in target:
		score(targetid)
			
def score(target):	
	es.server.queuecmd("est_killset %s 0" % target)
	es.server.queuecmd("est_deathset %s 0" % target)

def msg(target, message, tokens = "None"):
	for targetid in target:
		tell(targetid, message, tokens)
		
def tell(targetid, message, tokens = "None"):
	player = playerlib.getPlayer(targetid)
	es.tell(targetid, "#multi", translations(message, opts=tokens, lang=player.get("lang")))
	
def colormsg(target, index, message, tokens = "None"):
	for targetid in target:
		colortell(targetid, index, message, tokens)
	
def colortell(targerid, index, message, tokens = "None"):
	player = playerlib.getPlayer(targerid)
	usermsg.saytext2(targerid, index, translations(message, opts=tokens, lang=player.get("lang")))
	
def unload():
	es.unregclientcmd(admins_command)
	msg(playerlib.getUseridList('#human'), 'Kikapcsolva')